package com.ruoyi.web.v3.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v3.entity.HbEquipMaintenanceDailyEntity;
import com.ruoyi.web.v3.model.request.HbEquipMaintenanceDailyPageReq;

/**
 * <p>
 * v3.0 设备维保记录（日次） 服务类
 * </p>
 */
public interface IHbEquipMaintenanceDailyService extends IService<HbEquipMaintenanceDailyEntity> {

    AjaxResult add(HbEquipMaintenanceDailyEntity request);

    AjaxResult edit(HbEquipMaintenanceDailyEntity request);

    AjaxResult delete(String ids);

    AjaxResult page(HbEquipMaintenanceDailyPageReq request);

    AjaxResult listAll();
}
